Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_MT_Worker_Task Class Reference

TAO_Notify_MT_Worker_Task. More...

`#include <Notify_MT_Worker_Task.h>`

Inheritance diagram for TAO_Notify_MT_Worker_Task:

[legend]
Collaboration diagram for TAO_Notify_MT_Worker_Task:

[legend]
List of all members.

## Public Methods
| TAO_Notify_MT_Worker_Task (int n_threads=1, long flags=THR_NEW_LWP|THR_JOINABLE, int force_active=0, long priority=ACE_DEFAULT_THREAD_PRIORITY)
| Constructor. More...
| ~TAO_Notify_MT_Worker_Task ()
| Destructor. More...
virtual int | init_task (TAO_Notify_AdminProperties *const admin_properties, TAO_Notify_QoSAdmin_i *const qos_properties)
| Init the task. More...
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL)
| Shutdown this task. More...
virtual int | process_event (TAO_Notify_Command *mb ACE_ENV_ARG_DECL, ACE_Time_Value *tv=0)
| Process the command. More...
virtual void | update_admin (TAO_Notify_AdminProperties &admin)
virtual void | update_qos (TAO_Notify_QoSAdmin_i &qos_admin)
## Protected Methods
virtual int | svc (void)
| svc command processes objects stored in the message queue. More...
virtual int | close (u_long)
| Close hook. More...
## Protected Attributes
TAO_Notify_Buffering_Strategy * | buffering_strategy_
| The buffering strategy to use. More...
TAO_Notify_Signal_Property_Long * | queue_length_
| We need to decrement the event_count_ everytime we dequeue a command object. More...
int | n_threads_
long | flags_
int | force_active_
long | priority_

## Detailed Description

TAO_Notify_MT_Worker_Task.

A MT worker task that we use for various event processing jobs. Also see TAO_Notify_Command - This task executes Notify_Command objects.

## Constructor & Destructor Documentation

TAO_Notify_MT_Worker_Task::TAO_Notify_MT_Worker_Task | ( | int | n_threads = 1,
|  | long | flags = THR_NEW_LWP | THR_JOINABLE,
|  | int | force_active = 0,
|  | long | priority = ACE_DEFAULT_THREAD_PRIORITY
| ) |

| Constructor.

TAO_Notify_MT_Worker_Task::~TAO_Notify_MT_Worker_Task | ( |  | ) |

| Destructor.

## Member Function Documentation

int TAO_Notify_MT_Worker_Task::close | ( | u_long | flags | ) | `[protected, virtual]`

| Close hook. Reimplemented from ACE_Task_Base.

int TAO_Notify_MT_Worker_Task::init_task | ( | TAO_Notify_AdminProperties *const | admin_properties,
|  | TAO_Notify_QoSAdmin_i *const | qos_properties
| ) | `[virtual]`

| Init the task. Reimplemented from TAO_Notify_Worker_Task.

int TAO_Notify_MT_Worker_Task::process_event | ( | TAO_Notify_Command *mb | ACE_ENV_ARG_DECL,
|  | ACE_Time_Value * | tv = 0
| ) | `[virtual]`

| Process the command. Reimplemented from TAO_Notify_Worker_Task.

void TAO_Notify_MT_Worker_Task::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Shutdown this task. Reimplemented from TAO_Notify_Worker_Task.

int TAO_Notify_MT_Worker_Task::svc | ( | void |  | ) | `[protected, virtual]`

| svc command processes objects stored in the message queue. Reimplemented from ACE_Task_Base.

void TAO_Notify_MT_Worker_Task::update_admin | ( | TAO_Notify_AdminProperties & | admin | ) | `[virtual]`

| Reimplemented from TAO_Notify_Worker_Task.

void TAO_Notify_MT_Worker_Task::update_qos | ( | TAO_Notify_QoSAdmin_i & | qos_admin | ) | `[virtual]`

| Reimplemented from TAO_Notify_Worker_Task.

## Member Data Documentation

TAO_Notify_Buffering_Strategy* TAO_Notify_MT_Worker_Task::buffering_strategy_`[protected]`

| The buffering strategy to use.

long TAO_Notify_MT_Worker_Task::flags_`[protected]`

| Reimplemented from ACE_Task_Base.

int TAO_Notify_MT_Worker_Task::force_active_`[protected]`

int TAO_Notify_MT_Worker_Task::n_threads_`[protected]`

long TAO_Notify_MT_Worker_Task::priority_`[protected]`

| Reimplemented from ACE_Event_Handler.

TAO_Notify_Signal_Property_Long* TAO_Notify_MT_Worker_Task::queue_length_`[protected]`

| We need to decrement the event_count_ everytime we dequeue a command object.

The documentation for this class was generated from the following files:

- Notify_MT_Worker_Task.h
- Notify_MT_Worker_Task.cpp